Subject: bug#24298: Acknowledgement (25.1; problem with restoring desktop)

From: John Covici <[email-masked]>
Date: Sat, 10 Dec 2016 10:02:11 -0500

On Sat, 10 Dec 2016 09:19:07 -0500,
Eli Zaretskii wrote:
> 
> > Date: Sun, 04 Dec 2016 10:34:37 -0500
> > From: John Covici <[email-masked]>
> > Cc: [email-masked]
> > 
> > On Sun, 04 Dec 2016 10:28:23 -0500,
> > Eli Zaretskii wrote:
> > > 
> > > > Date: Sat, 03 Dec 2016 20:51:48 -0500
> > > > From: John Covici <[email-masked]>
> > > > 
> > > > OK, doing a git bisect, I found the commit which breaks my desktop
> > > > restore -- I am using a text console here.
> > > > 
> > > > [c9f7ec736b78bef5359b6da03296277c535e8e89] * lisp/desktop.el: Disable
> > > > restore frameset if in non-graphic display.
> > > 
> > > Does this mean you have more than one frame in your text-terminal
> > > sessions, after restoring the desktop?  What effect does the following
> > > command produce after you restore the session?
> > > 
> > >   C-x 5 o
> > > 
> > > If you have more than one frame, you should now see "Fn" at the left
> > > edge of the mode line, where n is a small integer, which is different
> > > from the one you saw there before the above command.
> > 
> > Nope, this is a text console,  the command does nothing.
> 
> Then I'm afraid I cannot reproduce this.  I tried restoring my desktop
> in "emacs -nw" several times, and each time I end up looking at the
> same 2 buffers displayed in 2 windows one below the other.
> 
> Could you perhaps create the smallest desktop file that reproduces
> this problem for you, and post it?  I'd like to experiment with it.
> 
> Thanks.

I can reproduce this with a  desktop with just two buffers, what
happens is when the commit is there, the wrong buffer is the current
one and  if I do c-x-b it has the scratch buffer as the next one
rather than the previous buffer.  For instance in the desktop I will
send you, the current buffer is the Makefile, but when I restore the
desktop, default.xml is made the current buffer instead and the
scratch buffer is the default for c-x-b.  Now this is not bad in
itself, but in a desktop with a lot of buffers, it makes the current
buffer some random one instead, so its very annoying.

Here is the desktop which reproduces this every time.

-- 
Your life is like a penny.  You're going to lose it.  The question is:
How do
you spend it?

         John Covici
         [email-masked]